### A free/open-source library for quantitative finance

Public Member Functions
RiskyFixedBond Class Reference

`#include <ql/experimental/credit/riskybond.hpp>`

Inheritance diagram for RiskyFixedBond:
[legend]

List of all members.

## Public Member Functions

| RiskyFixedBond (std::string name, Currency ccy, Real recoveryRate, Handle< DefaultProbabilityTermStructure > defaultTS, Schedule schedule, Real rate, DayCounter dayCounter, BusinessDayConvention paymentConvention, std::vector< Real > notionals, Handle< YieldTermStructure > yieldTS)
std::vector< boost::shared_ptr < CashFlow > > | cashflows () const
Real | notional (Date date=Date::minDate()) const
Date | effectiveDate () const
Date | maturityDate () const
std::vector< boost::shared_ptr < CashFlow > > | interestFlows () const
std::vector< boost::shared_ptr < CashFlow > > | notionalFlows () const

## Detailed Description

Default risky fixed bond